FEDORA-2018-aa1bf1711d created by jkucera 2 years ago for Fedora 26
stable

SOX_PLUGINS environment variable, added in sox-14.4.2.0-16 to allow overriding standard sox path to plugins for the test purposes, is no longer exposed to user.


Security fix for CVE-2017-15372, CVE-2017-15642.

How to install

sudo dnf upgrade --advisory=FEDORA-2018-aa1bf1711d

This update has been submitted for testing by jkucera.

2 years ago

This update has obsoleted sox-14.4.2.0-16.fc26, and has inherited its bugs and notes.

2 years ago

This update has been pushed to testing.

2 years ago

This update has reached 7 days in testing and can be pushed to stable now if the maintainer wishes

2 years ago

This update has been submitted for batched by jkucera.

2 years ago

This update has been submitted for stable by bodhi.

2 years ago

This update has been pushed to stable.

2 years ago

Please login to add feedback.

Metadata
Type
security
Karma
0
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
3
Stable by Time
disabled
Dates
submitted
2 years ago
in testing
2 years ago
in stable
2 years ago
BZ#1500553 it is a stack-overflow vulnerability in lsx_ms_adpcm_block_expand_i ( in adpcm.c:126 )
0
0
BZ#1510919 CVE-2017-15372 sox: Stack-based buffer overflow in the lsx_ms_adpcm_block_expand_i function
0
0
BZ#1510923 CVE-2017-15642 sox: Use-after-free in lsx_aiffstartread
0
0
BZ#1510925 CVE-2017-15370 CVE-2017-15371 CVE-2017-15372 CVE-2017-15642 sox: various flaws [fedora-all]
0
0

Automated Test Results